Subject: Re: [PATCH 0/2] Breaking the ref-transactions-reflog series in smaller parts

From: Michael Haggerty <[email-masked]>
Date: Thu, 20 Nov 2014 12:03:33 +0100

On 11/19/2014 10:40 PM, Stefan Beller wrote:
> so I think the patch series ref-transactions-reflog[1] sent previously to the list
> is still too large for easy review and I want to break it up more.
> So in this series we'll digest only 2 small patches, which do not seem to be 
> controversial (yet;) and seem to be useful no matter how the discussion on
> the other series continues.
> 
> ref_transaction_create as well as ref_transaction_delete are just special cases
> of ref_transaction_update, so let's reduce some redundant code. While this doesn't
> change code in pathes, which are supposed to be run, we do have slight changes 
> in error messages starting with "BUG: ". So in the best case, the user will never
> see these messages at all.

Users should *never* see error messages starting with "BUG: ". These are
basically what the Git project uses instead of assert(). As long as we
Git developers would understand a bug report submitted by a user who
sees such an error message, their text can be changed without worries.

Both patches are

Reviewed-by: Michael Haggerty <[email-masked]>

And I love that you are proceeding in smaller pieces.

Michael

-- 
Michael Haggerty
[email-masked]